<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class IntegracaoTeknisaWedigitekService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    
    public function find($conditions) {
    
        
        $params = array(
            ':CDFILIAL'        => implode('_' ,$conditions['CDFILIAL']),
         	':DTINICIAL'         => $conditions['DTENTRVENDA'][0],
         	':DTFINAL'        => $conditions['DTENTRVENDA'][1],
         	':IDTPEVENTO'    => $conditions['IDTPEVENTO'],
         	':NRORG'            => $conditions['NRORG'],
         	);
 	    return $this->entityManager->getConnection()->fetchAll(self::GET_LOGS, $params);
 	}
 	
 	const GET_LOGS= "
        SELECT L.CDFILIAL || ' - ' || F.NMFILIAL AS LABELFILIAL, L.CDEVENTO, L.DSEVENTO, L.CDPRODUTO, L.DTHREVENTO, L.URLEVENTO, L.IDTPEVENTO, F.NRORG
        FROM LOGEXPPROD L
        INNER JOIN FILIAL F ON L.CDFILIAL = F.CDFILIAL
        WHERE ((INSTR(:CDFILIAL, L.CDFILIAL) <> 0)) AND L.DTHREVENTO BETWEEN :DTINICIAL AND :DTFINAL AND ((INSTR(:IDTPEVENTO, L.IDTPEVENTO) <> 0)) AND F.NRORG = :NRORG
    ";
}

